import { BasePort } from '@humand-packages/common';
import { TimeTrackingPolicy } from '../../../business/models/timeTrackingPolicy';

export abstract class TimeTrackingConfigRepositoryPort extends BasePort {
    abstract associatePolicy(instanceId: number, policy: TimeTrackingPolicy, assignedUserIds: number[], unassignedUserIds: number[]): Promise<void>;
    abstract updatePolicy(instanceId: number, policy: TimeTrackingPolicy): Promise<void>;
    abstract deletePolicy(instanceId: number, policyId: number, userIds: number[]): Promise<void>;
    abstract updateUserSetting(instanceId: number, userId: number, kioskPin: string | null): Promise<void>;
    abstract updateReferenceImage(instanceId: number, userId: number, referenceImage: string): Promise<void>;
    abstract deleteReferenceImage(instanceId: number, userId: number): Promise<void>;
}
